//This JSON was modified by Lukas (@LukasPAH) and Rainvay_ZCYF (@ZouChenyunfei). Please do not use this document without permission.
{
  "format_version": "1.8.0",
  "render_controllers": {
    "controller.render.strider": {
      "arrays": {
        "textures": {
          "Array.base": [
            "Texture.default",
            "Texture.saddled"
          ],
          "Array.suffocated": [
            "Texture.suffocated",
            "Texture.suffocated_saddled"
          ]
        }
      },
      "geometry": "Geometry.default",
      "materials": [
        { "*": "Material.default" }
      ],
      "textures": [
        "query.is_shaking ? Array.suffocated[query.is_saddled] : Array.base[query.is_saddled]"
      ],
      "is_hurt_color": {
        "r": "1.0",
        "g": "0.0",
        "b": "0.0",
        "a": "0.35"
      }
    }
  }
}
